camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gareth Williams <gareth.willi...@firstclarity.com>
Subject maven pom unable to resolve artifact?
Date Mon, 14 Dec 2009 18:53:13 GMT

I have a camel 2.0 project, and I am using maven.  if i type
mvn clean compile camel:run
I get 

Missing indirectly referenced artifact
org.springframework.javaconfig:org.springframework.config.java:jar:1.0.0-20090215:compile
...
Path to dependency: 
  	1) com.evolok:eventbroker:jar:1.1.0-SNAPSHOT
  	2) org.apache.camel:camel-spring-javaconfig:jar:2.0.0
  	3)
org.springframework.javaconfig:org.springframework.config.java:jar:1.0.0-20090215


i tried changing my pom to use camel v 2.1.0, it didnt help

i cant find this spring jar in any of the (several ;) maven repositories I
am aware of - any of you hit this? do you have any suggestions? I guess 
need to manually download this jar and install it into the local maven repo
for my dev team?

pom snippets:

---
---
    <properties>
        <camel-version>2.0.0</camel-version>
        <activemq-version>5.2.0</activemq-version>
        <xbean-spring-version>3.5</xbean-spring-version>
        <log4j-version>1.2.14</log4j-version>
        <cxf.version>2.2.1</cxf.version>
    </properties>

    <dependencies>
 ----
----
    
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-context</artifactId>
            <version>2.5.6</version>
        </dependency>
    
        <dependency>
            <groupId>org.apache.activemq</groupId>
            <artifactId>activemq-core</artifactId>
            <version>${activemq-version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.activemq</groupId>
            <artifactId>activemq-camel</artifactId>
            <version>${activemq-version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-core</artifactId>
             <version>${camel-version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-stream</artifactId>
            <version>${camel-version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-quartz</artifactId>
            <version>${camel-version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-jms</artifactId>
            <version>${camel-version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-spring</artifactId>
            <version>${camel-version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-spring-javaconfig</artifactId>
            <version>${camel-version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-restlet</artifactId>
            <version>${camel-version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-ftp</artifactId>
            <version>${camel-version}</version>
        </dependency>

---
---

            <plugin>
                <groupId>org.apache.camel</groupId>
                <artifactId>camel-maven-plugin</artifactId>
                <version>${camel-version}</version>
            </plugin>

---

Hmmm, have i missed something obvious?  
Or is there a newer version of the spring config jar that the camel-spring
pom should be referencing?
Thanks.

-- 
View this message in context: http://old.nabble.com/maven-pom-unable-to-resolve-artifact--tp26779953p26779953.html
Sent from the Camel - Users mailing list archive at Nabble.com.


Mime
View raw message